/**
 * plugins/vuetify.ts
 *
 * Framework documentation: https://vuetifyjs.com`
 */

// Styles
import "@mdi/font/css/materialdesignicons.css";
import "vuetify/styles";

// Composables
import { createVuetify } from "vuetify";
import { VNumberInput, VDateInput } from "vuetify/labs/components";

// https://vuetifyjs.com/en/introduction/why-vuetify/#feature-guides
export default createVuetify({
  theme: {
    themes: {
      light: {
        dark: false,
        colors: {
          main: "#024950",
          darker: "#003135",
          contrast: "#964734",
          accent: "#0FA4AF",
          accentLigher: "#AFDDE5",
          backdrop: "#e3e3e3",
        },
      },
    },
  },
  components: {
    VNumberInput,
    VDateInput,
  },
});
